Skip to main content
POST
/
alerts
/
{alertId}
/
reports
List reports for a specific alert
curl --request POST \
  --url https://api.artu.ai/alerts/{alertId}/reports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "currentOnly": true,
  "limit": 0,
  "offset": 4503599627370495,
  "includeTotalCount": true,
  "sort": [
    {}
  ]
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contentHash": "<string>",
      "filename": "<string>",
      "contentType": "<string>",
      "size": 0,
      "sequence": 0,
      "totalParts": 0,
      "isCurrent": true,
      "generatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "referenceNumber": "<string>",
      "name": "<string>",
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

alertId
string<uuid>
required

Body

application/json
currentOnly
boolean
default:true
limit
integer
Required range: -9007199254740991 < x <= 9007199254740991
offset
integer
Required range: 0 <= x <= 9007199254740991
includeTotalCount
boolean
sort
object[]

Response

200 - application/json

OK

data
object[]
required
pagination
object
required